use axum::{Router, routing::{get, post}};
use crate::http::v9::routes::auth::login;

use crate::http::v9::routes::tracking::*;

pub mod auth;
pub mod tracking;

pub fn assemble_routes() -> Router {
    let auth = Router::new()
        .route("/login", post(login));

    Router::new()
        .nest("/auth", auth)

        .route("/experiments", get(experiments))

        .route("/science", post(science))
        .route("/track", post(science))
}